petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISLocalToGlobalMappingSetType

Builds ISLocalToGlobalMapping for a particular global to local mapping approach.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingSetType(ISLocalToGlobalMapping ltog, ISLocalToGlobalMappingType type)

Logically Collective on ISLocalToGlobalMapping

### Input Parameters

| ltog | - the ISLocalToGlobalMapping object
| type | - a known method

### Options Database Key

-islocaltoglobalmapping_type <method> -Sets the method; use -help for a list of available methods (for instance, basic or hash)

### Notes

See "petsc/include/petscis.h" for available methods

Normally, it is best to use the ISLocalToGlobalMappingSetFromOptions() command and then set the ISLocalToGlobalMapping type from the options database rather than by using this routine.

Developer Note: ISLocalToGlobalMappingRegister() is used to add new types to ISLocalToGlobalMappingList from which they are accessed by ISLocalToGlobalMappingSetType().

### Keywords

ISLocalToGlobalMapping, set, method

### See Also

PCSetType(), ISLocalToGlobalMappingType, ISLocalToGlobalMappingRegister(), ISLocalToGlobalMappingCreate()

### Level

intermediate

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages